#include <wx/dialog.h>
#include <string>
using namespace std;

class AddCameraDialog : public wxDialog {
  enum {
    IdKappa = wxID_HIGHEST + 1,
    IdPhi,
    IdOmega,
    IdX,
    IdY,
    IdZ,
    IdPX,
    IdPY,
    IdPSize,
    IdName,
    IdF
  };
public :
  double phi, kappa, omega, x, y, z, f, px, py, pSize;
  string name;
public:
  AddCameraDialog();
  AddCameraDialog(wxWindow* parent,
		    wxWindowID id = wxID_ANY,
		    const wxString& caption = wxT("Create a new project"),
		    const wxPoint& pos = wxDefaultPosition,
		    const wxSize& size =wxSize(225, 440), // wxDefaultSize,
      long style = wxCAPTION | wxSYSTEM_MENU);
  void Create( wxWindow* parent,
		    wxWindowID id = wxID_ANY,
		    const wxString& caption = wxT("Create a new project"),
		    const wxPoint& pos = wxDefaultPosition,
		    const wxSize& size =wxSize(450, 285), // wxDefaultSize,
      long style = wxCAPTION | wxSYSTEM_MENU);

  bool TransferDataFromWindow();
};
