#ifndef __CONVOLUTIONWINDOW_H__
#define __CONVOLUTIONWINDOW_H__

#include <wx/wx.h>

class ConvolutionWindow : public wxDialog {
 protected:
  DECLARE_EVENT_TABLE()
 private:
  enum {
    IdX11 = wxID_HIGHEST + 1,
    IdX12,
    IdX13,
    IdX21,
    IdX22,
    IdX23,
    IdX31,
    IdX32,
    IdX33,
    IdPresets
  };
public:
  double x11, x12, x13, x21, x22, x23, x31, x32, x33;
  ConvolutionWindow(wxWindow*, wxWindowID);
  bool TransferDataFromWindow();
  bool TransferDataToWindow();
  void onPresetSelection(wxCommandEvent&);
};
#endif
