#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include <xercesc/dom/DOM.hpp>
#include <xercesc/parsers/XercesDOMParser.hpp>

#include <string>
#include <iostream>

using namespace std;
typedef xercesc::DOMDocument xercesDOMDocument;

#ifdef WIN32
#define	_CRT_SECURE_NO_WARNINGS
#endif

//#ifdef UNICODE
//#undef UNICODE
//#endif


inline void logError(string comment, int level) {
	cerr << "Error level " << level << " at file " << __FILE__ << " at line " << __LINE__ << endl	
		<< "Error log starts here-->" << endl << comment << endl << "<--Error log ends here" << endl;
}


#endif
