#ifndef __HISTORYCHASER_H__
#define __HISTORYCHASER_H__

#include <list>
#include "globals.h"
#include "project.h"

using namespace std;

class HistoryChaser {
 public:
  enum ActionType { AcFileRename,
	 AcProjectRename,
	 AcFileModification,
	 AcFileInclusion,
	 AcFileRemoval
  };
 private:
  struct HistoryElement {
    string oldName, newName, elementName;
    int fDesc;
    ActionType actionType;
  };

  Project* project;
  list<HistoryElement> historyElements;
  int pos;

  int popProjectRename(HistoryElement& elem);
 public:
  HistoryChaser() {
    project = NULL;
    pos = 0;
  }
  int pushProjectRename(string oldName, string newName);
  int popHistory();
};

#endif
