#ifndef __IMAGEPROCESSOR_H__
#define __IMAGEPROCESSOR_H__

#include "OkanMisc.h"
#include "content.h"

class ImageProcessor {
 public:
  static int convolveImage(Image*, Image**, float*, int, int, Point, long);
  static int adjustBrightness(Image*, Image**, double);
  static int equalizeHistogram(Image*, Image**);
  static int rotateRight(Image*, Image**);
  static int rotateLeft(Image*, Image**);
};
#endif
