#ifndef __NEWPROJECTDIALOGS2_H__
#define __NEWPROJECTDIALOGS2_H__

#include <wx/dialog.h>
#include <wx/wx.h>

#include <vector>
#include <string>

using namespace std;

class NewProjectDialogS2 : public wxDialog {
 protected:
  DECLARE_EVENT_TABLE()
 private:

  enum {
    IdFileListCtrl = wxID_HIGHEST + 1,
    IdCopyFilesCtrl,
    IdFilesCtrl
  };
private:
  vector<string> imageList;
  wxTextCtrl* fileListCtrl;
public:
  NewProjectDialogS2();
  NewProjectDialogS2(wxWindow* parent, wxWindowID = wxID_ANY, wxString caption = _("Import elements"), wxPoint pos = wxDefaultPosition, wxSize size = wxSize(wxDefaultSize.GetWidth(), 225), long style = wxCAPTION | wxSYSTEM_MENU);
  void Create(wxWindow* parent, wxWindowID = wxID_ANY, wxString caption = _("Import elements"), wxPoint pos = wxDefaultPosition, wxSize size = wxDefaultSize, long style = wxCAPTION | wxSYSTEM_MENU);
  void onFilesButton(wxCommandEvent&);
  bool TransferDataFromWindow();
  vector<string>& getImageList() {
    return imageList;
  }
};

#endif
