#ifndef __NEWPROJECTDIALOG_H__
#define __NEWPROJECTDIALOG_H__

#include <wx/dialog.h>
#include <string>
using namespace std;

class NewProjectDialog : public wxDialog {
  enum {
    IdNewProjectNameCtrl = wxID_HIGHEST + 1,
    IdNewProjectPathCtrl,
    IdNewProjectDescCtrl
  };
 public:
  wxString projectName;
  wxString projectPath;
  wxString projectDescription;
public:
  NewProjectDialog();
  NewProjectDialog( wxWindow* parent,
		    wxWindowID id = wxID_ANY,
		    const wxString& caption = wxT("Create a new project"),
		    const wxPoint& pos = wxDefaultPosition,
		    const wxSize& size =wxSize(450, 285), // wxDefaultSize,
      long style = wxCAPTION | wxSYSTEM_MENU);

  void Create( wxWindow* parent,
		       wxWindowID id = wxID_ANY,
		       const wxString& caption = wxT("Personal Record"),
		       const wxPoint& pos = wxDefaultPosition,
		       const wxSize& size = wxDefaultSize,
      long style = wxCAPTION | wxSYSTEM_MENU);
};

#endif
