#ifndef __OPGWINDOW_H__
#define __OPGWINDOW_H__

#include <iostream>

#include <wx/dialog.h>
#include <wx/panel.h>
#include <wx/wx.h>
#include <wx/listctrl.h>

#include "projectManager.h"

using namespace std;

class OPGWindow : public wxDialog {
protected:
  DECLARE_EVENT_TABLE();
private:
  ProjectManager* pm;
  wxListCtrl* imListCtrl;
  wxPanel* pluginPanel;
  wxBoxSizer* topSizer;
  wxBoxSizer* boxSizer;
  wxChoice* pluginChoice;
  enum {
    IdOkButton = wxID_HIGHEST + 1
  };
 public:
  //MosaickerWindow();
  OPGWindow(ProjectManager* pm, wxWindow* parent, wxWindowID id = wxID_ANY, wxString caption = _("Mosaicker"), wxPoint pos = wxDefaultPosition, wxSize size = wxDefaultSize, long style = wxCAPTION | wxSYSTEM_MENU);

  void Init();

  //bool Create(wxWindow*, wxWindowID, wxString, wxPoint, wxSize, long);

  void CreateControls();
  
  void onOk(wxCommandEvent&);

};

#endif
